<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/5_mission/dayzexpansion_vehicles/gui/itemactionswidget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d94/a03167_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">itemactionswidget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d94/a03167.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d04/a07581.html">    1</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../da/d04/a07581.html">ItemActionsWidget</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d04/a07581.html#a719e88eb109747bd9c9fb68947db2191">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d04/a07581.html#a719e88eb109747bd9c9fb68947db2191">SetActionWidget</a>(<a class="code hl_class" href="../../d4/d6b/a04573.html">ActionBase</a> action, <span class="keywordtype">string</span> descText, <span class="keywordtype">string</span> actionWidget, <span class="keywordtype">string</span> descWidget)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        Widget widget;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        widget = m_Root.FindAnyWidget(actionWidget);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#ifdef PLATFORM_XBOX</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        ShowXboxHidePCIcons( actionWidget, !GetGame().GetInput().IsEnabledMouseAndKeyboardEvenOnServer() );</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifdef PLATFORM_PS4</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        ShowXboxHidePCIcons( actionWidget, !GetGame().GetInput().IsEnabledMouseAndKeyboardEvenOnServer() );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        ShowXboxHidePCIcons( actionWidget, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="comment">// TODO: TMP: Car AM rework needed (checking of player&#39;s command)</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span>(action &amp;&amp; (!action.HasTarget() || <a class="code hl_variable" href="../../de/daa/a09078.html#a56236e79ef4985a0dd60337ab84d3dbf">m_Player</a>.GetCommand_Vehicle() || <a class="code hl_variable" href="../../de/daa/a09078.html#a56236e79ef4985a0dd60337ab84d3dbf">m_Player</a>.GetCommand_ExpansionVehicle()))</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            TextWidget actionName;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            Class.CastTo(actionName, widget.FindAnyWidget(descWidget));</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordflow">if</span>(action.GetInput().GetInputType() == ActionInputType.AIT_CONTINUOUS)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                descText = descText + <span class="stringliteral">&quot; &quot;</span> + <span class="stringliteral">&quot;#action_target_cursor_hold&quot;</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                actionName.SetText(descText);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                actionName.SetText(descText);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            widget.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            widget.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>};</div>
<div class="ttc" id="aa04573_html"><div class="ttname"><a href="../../d4/d6b/a04573.html">ActionBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d09/a08787_source.html#l00013">actionbase.c:14</a></div></div>
<div class="ttc" id="aa07581_html"><div class="ttname"><a href="../../da/d04/a07581.html">ItemActionsWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d94/a03167_source.html#l00001">itemactionswidget.c:2</a></div></div>
<div class="ttc" id="aa07581_html_a719e88eb109747bd9c9fb68947db2191"><div class="ttname"><a href="../../da/d04/a07581.html#a719e88eb109747bd9c9fb68947db2191">ItemActionsWidget::SetActionWidget</a></div><div class="ttdeci">protected override void SetActionWidget(ActionBase action, string descText, string actionWidget, string descWidget)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d94/a03167_source.html#l00003">itemactionswidget.c:3</a></div></div>
<div class="ttc" id="aa09078_html_a56236e79ef4985a0dd60337ab84d3dbf"><div class="ttname"><a href="../../de/daa/a09078.html#a56236e79ef4985a0dd60337ab84d3dbf">m_Player</a></div><div class="ttdeci">enum ExpansionMarketResult m_Player</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_0eadc293ddf5a88ef2258e9d1ea220df.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_517e7983911f6d754280604c4d8e3d6f.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_c41bc898ce61c54ed29707f2e15f17b8.html">gui</a></li><li class="navelem"><a class="el" href="../../d2/d94/a03167.html">itemactionswidget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
